namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// Ghra_LegalCompany(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghra)]
public class Ghra_LegalCompanyController : BaseController<IGhra_LegalCompanyServices, Ghra_LegalCompany, Ghra_LegalCompanyDto, InsertGhra_LegalCompanyInput, EditGhra_LegalCompanyInput>
{
    public Ghra_LegalCompanyController(IGhra_LegalCompanyServices service) : base(service)
    {
    }
}